/* --------------------------------------------------------- */
/*	put sprite												 */
/* ========================================================= */
/*	2006/11/26	t.hara										 */
/* --------------------------------------------------------- */

#include <msx/msx.h>

#define	ATRBAS	0xF928		/* sprite attribute table base address */

/* --------------------------------------------------------- */
void put_sprite( unsigned char sprite_no, unsigned char x, unsigned char y, 
		unsigned char pattern_no, unsigned char ec_color ) {

	disable_intr();
	vpoke_first( peekw( ATRBAS ) + (unsigned int)(sprite_no << 2) );
	vpoke_next( y );
	vpoke_next( x );
	vpoke_next( pattern_no );
	vpoke_next( ec_color );
	enable_intr();
}
