;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	fcb_access.s for MSX													;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	2006/12/02	t.hara														;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	.area _CODE

;;	unsigned char fcb_read( FCB *p_fcb, void *p_buffer, int size );
_fcb_read::
	ld		hl, #2
	add		hl, sp

	push	ix
	ld		c, (hl)				;;	bc <= p_fcb
	inc		hl
	ld		b, (hl)
	inc		hl
	push	bc
	ld		e, (hl)				;;	de <= p_buffer
	inc		hl
	ld		d, (hl)
	inc		hl

	push	hl
	ld		c, #0x1A			;;	set DTA (DOS function)
	call	0x0005				;;	call system
	pop		hl

	pop		de					;;	de <= p_fcb
	ld		c, (hl)				;;	hl <= size
	inc		hl
	ld		h, (hl)
	ld		l, c

	ld		c, #0x27			;;	read data 2 (DOS function)
	call	0x0005				;;	call system
	pop		ix
	ret							;;	return read size

;;	unsigned char fcb_write( FCB *p_fcb, const void *p_buffer, int size );
_fcb_write::
	ld		hl, #2
	add		hl, sp

	push	ix
	ld		c, (hl)				;;	bc <= p_fcb
	inc		hl
	ld		b, (hl)
	inc		hl
	push	bc
	ld		e, (hl)				;;	de <= p_buffer
	inc		hl
	ld		d, (hl)
	inc		hl

	push	hl
	ld		c, #0x1A			;;	set DTA (DOS function)
	call	0x0005				;;	call system
	pop		hl

	pop		de					;;	de <= p_fcb
	ld		c, (hl)				;;	hl <= size
	inc		hl
	ld		h, (hl)
	ld		l, c

	ld		c, #0x26			;;	write data 2 (DOS function)
	call	0x0005				;;	call system
	pop		ix
	ld		l, a
	ret							;;	return wrote size
