;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	fcb_find.s for MSX														;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	2006/12/03	t.hara														;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

	.area _CODE

;;	unsigned char fcb_find_first( FCB *p_fcb, FCB_FIND *p_result );
_fcb_find_first::
	ld		hl, #2
	add		hl, sp

	push	ix
	ld		c, (hl)				;;	bc <= p_fcb
	inc		hl
	ld		b, (hl)
	inc		hl
	push	bc
	ld		e, (hl)				;;	de <= p_result
	inc		hl
	ld		d, (hl)

	ld		c, #0x1A			;;	set DTA (DOS function)
	call	0x0005				;;	call system

	pop		de					;;	de <= p_fcb
	ld		c, #0x11			;;	find first (DOS function)
	call	0x0005				;;	call system
	pop		ix
	ld		l, a
	ret

;;	unsigned char fcb_find_next( FCB_FIND *p_result );
_fcb_find_next::
	ld		hl, #2
	add		hl, sp

	push	ix
	ld		e, (hl)				;;	de <= p_buffer
	inc		hl
	ld		d, (hl)

	ld		c, #0x1A			;;	set DTA (DOS function)
	call	0x0005				;;	call system

	ld		c, #0x12			;;	find next (DOS function)
	call	0x0005				;;	call system
	pop		ix
	ld		l, a
	ret
