/* --------------------------------------------------------- */
/*	set sprite pattern										 */
/* ========================================================= */
/*	2006/11/26	t.hara										 */
/* --------------------------------------------------------- */

#include <msx/msx.h>

#define	PATBAS	0xF926		/* sprite pattern generator table base address */

/* --------------------------------------------------------- */
void set_sprite_pattern( unsigned char pattern_no, unsigned char* p_pattern ) {

	disable_intr();
	vpoke_first( peekw( PATBAS ) + (pattern_no << 3) );
	outports( 0x98, p_pattern, 8 );
	enable_intr();
}
