/* --------------------------------------------------------- */
/*	R#19 TEST FOR V9958										 */
/* ========================================================= */
/*	2008/05/01	t.hara										 */
/* --------------------------------------------------------- */

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <msx/msx.h>

/* --------------------------------------------------------- */
static void hsync( int line_no ) {

	/* Vertical synchronize by H-SYNC signal */
	vdp_write( 19, line_no );
	while( (vdp_status( 1 ) & 1) == 0 ) {
	}
}

/* --------------------------------------------------------- */
int main( void ) {
	int i;

	for( i = 0; i < 256; i++ ) {
		hsync( i );
		printf( "LINE#%d IS OK\n" );
	}
	printf( "ALL OF OK\n" );
	return 0;
}
